Index: fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_both/SAdmir.prop
===================================================================
--- fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_both/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/strategy_comparison/sadmir-ussh_both/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,347 @@
+subject = SAdmir
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SENavy.usr <<-?- USSH
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SENavy.usr
+
+update.1.5.type = node
+update.1.5.nodeType = RoleTarget
+update.1.5.name = SAdmir: SENavy.usr <<-?- USSH
+update.1.5.processing = verifier
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = edge
+update.1.7.edgeType = Implication
+update.1.7.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.7.childType = LinkedRoleTarget
+update.1.7.childProcessing = opponent
+update.1.7.evidence.1 = SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+update.1.7.evidence.2 = SAdmir.getsSLocs<-SAdmir.needsSLocs
+
+update.1.8.type = node
+update.1.8.nodeType = LinkedRoleTarget
+update.1.8.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.8.processing = opponent
+update.1.8.satisfied = Unknown
+
+update.1.9.type = node
+update.1.9.nodeType = RoleTarget
+update.1.9.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = edge
+update.1.10.edgeType = LinkingMonitor
+update.1.10.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.10.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.10.childType = LinkingGoal
+update.1.10.childProcessing = verifier
+
+update.1.11.type = node
+update.1.11.nodeType = LinkingGoal
+update.1.11.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.11.processing = verifier
+update.1.11.satisfied = Incomplete
+
+update.2.location = remote
+
+update.2.1.type = node
+update.2.1.name = SAdmir: SENavy.usr <<-?- USSH
+update.2.1.processing = opponent
+
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = SAdmir: SENavy.usr <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Failed
+
+update.2.3.type = edge
+update.2.3.edgeType = LinkingSolution
+update.2.3.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.3.childName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.3.childType = RoleTarget
+update.2.3.childProcessing = verifier
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.4.processing = verifier
+update.2.4.satisfied = Unknown
+
+update.2.5.type = node
+update.2.5.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.5.processing = opponent
+
+update.2.6.type = node
+update.2.6.nodeType = LinkingGoal
+update.2.6.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.6.processing = fully
+update.2.6.satisfied = Incomplete
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.7.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+update.2.7.evidence.1 = RADMSmith.NRetTacUsr<-USN.assignedNRet
+
+update.2.8.type = node
+update.2.8.nodeType = RoleTarget
+update.2.8.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.8.processing = verifier
+update.2.8.satisfied = Unknown
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.9.processing = verifier
+update.2.9.satisfied = Unknown
+
+update.2.10.type = node
+update.2.10.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.10.processing = opponent
+
+update.2.11.type = edge
+update.2.11.edgeType = Control
+update.2.11.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.11.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.11.childType = LinkedRoleTarget
+update.2.11.childProcessing = opponent
+
+update.2.12.type = node
+update.2.12.nodeType = LinkedRoleTarget
+update.2.12.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.12.processing = opponent
+update.2.12.satisfied = Unknown
+
+update.2.13.type = edge
+update.2.13.edgeType = Implication
+update.2.13.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.13.childName = USSH: SE.usr <<-?- SAdmir
+update.2.13.childType = RoleTarget
+update.2.13.childProcessing = verifier
+
+update.2.14.type = node
+update.2.14.nodeType = RoleTarget
+update.2.14.name = USSH: SE.usr <<-?- SAdmir
+update.2.14.processing = verifier
+update.2.14.satisfied = Unknown
+
+update.2.15.type = node
+update.2.15.nodeType = LinkedRoleTarget
+update.2.15.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.15.processing = opponent
+update.2.15.satisfied = Unknown
+
+update.2.16.type = node
+update.2.16.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.16.processing = verifier
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.3.1.childName = USSH: SAdmir <<-?- SAdmir
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = SE.usr<-SAdmir
+
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = USSH: SAdmir <<-?- SAdmir
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = USSH: SE.usr <<-?- SAdmir
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSH: SE.usr <<-?- SAdmir
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = LinkedRoleTarget
+update.3.5.name = USSH: US.friendly.usr <<-?- SAdmir
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = USSH: SE.usr <<-?- SAdmir
+update.3.6.processing = opponent
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.1.childName = SAdmir: USSH <<-?- USSH
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+update.4.1.evidence.1 = USN.assignedNRet<-USSH
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = SAdmir: USSH <<-?- USSH
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.4.processing = verifier
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = RoleTarget
+update.4.5.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.5.processing = fully
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = LinkingGoal
+update.4.6.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.6.processing = fully
+update.4.6.satisfied = Complete
+
+update.4.7.type = node
+update.4.7.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.4.7.processing = verifier
+
+update.4.8.type = node
+update.4.8.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.8.processing = opponent
+
+update.5.location = local
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.2.processing = opponent
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = LinkedRoleTarget
+update.5.3.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.3.processing = fully
+update.5.3.satisfied = Unknown
+
+update.5.4.type = edge
+update.5.4.edgeType = Implication
+update.5.4.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.4.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.4.childType = RoleTarget
+update.5.4.childProcessing = verifier
+update.5.4.evidence.1 = SAdmir.NRetTacCom<-USEUCOM.NRetUSTacCom
+
+update.5.5.type = node
+update.5.5.nodeType = RoleTarget
+update.5.5.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.5.processing = verifier
+update.5.5.satisfied = Unknown
+
+update.5.6.type = node
+update.5.6.nodeType = RoleTarget
+update.5.6.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.6.processing = opponent
+update.5.6.satisfied = Unknown
+
+update.6.location = remote
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.1.childName = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = USEUCOM.NRetUSTacCom<-RADMSmith
+
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.6.5.processing = opponent
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.6.7.processing = opponent
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.8.processing = opponent
+
